Package org.apache.batchee.jaxrs.common

## Class RestJobExecution

- java.lang.Object
- - org.apache.batchee.jaxrs.common.RestJobExecution

-     public class RestJobExecution
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RestJobExecution()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Date` | `getCreateTime()` |
    `Date` | `getEndTime()` |
    `String` | `getExitStatus()` |
    `long` | `getId()` |
    `RestProperties` | `getJobParameters()` |
    `Date` | `getLastUpdatedTime()` |
    `String` | `getName()` |
    `Date` | `getStartTime()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setCreateTime​(Date createTime)` |
    `void` | `setEndTime​(Date endTime)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setId​(long id)` |
    `void` | `setJobParameters​(RestProperties jobParameters)` |
    `void` | `setLastUpdatedTime​(Date lastUpdatedTime)` |
    `void` | `setName​(String name)` |
    `void` | `setStartTime​(Date startTime)` |
    `static List<RestJobExecution>` | `wrap​(List<javax.batch.runtime.JobExecution> jobExecutions)` |
    `static RestJobExecution` | `wrap​(javax.batch.runtime.JobExecution jobExecution)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestJobExecution

          public RestJobExecution()

  - ### Method Detail

    - #### setId

          public void setId​(long id)

    - #### setName

          public void setName​(String name)

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### setStartTime

          public void setStartTime​(Date startTime)

    - #### setEndTime

          public void setEndTime​(Date endTime)

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### setCreateTime

          public void setCreateTime​(Date createTime)

    - #### setLastUpdatedTime

          public void setLastUpdatedTime​(Date lastUpdatedTime)

    - #### setJobParameters

          public void setJobParameters​(RestProperties jobParameters)

    - #### getId

          public long getId()

    - #### getName

          public String getName()

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### getStartTime

          public Date getStartTime()

    - #### getEndTime

          public Date getEndTime()

    - #### getExitStatus

          public String getExitStatus()

    - #### getCreateTime

          public Date getCreateTime()

    - #### getLastUpdatedTime

          public Date getLastUpdatedTime()

    - #### getJobParameters

          public RestProperties getJobParameters()

    - #### wrap

          public static List<RestJobExecution> wrap​(List<javax.batch.runtime.JobExecution> jobExecutions)

    - #### wrap

          public static RestJobExecution wrap​(javax.batch.runtime.JobExecution jobExecution)